<?php

/**
 * Travel In - Joomla Template
 *
 * @package bt_travelin
 * @version 1.0
 * @copyright BonusThemes.com 2008
 * @link http://www.bonusthemes.com/goto/bt_travelin
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

$dir = dirname(__FILE__);
require($dir . '/config.php');
require($dir . '/template.inc.php');
$tpl = new TplBtTravelIn();

$cmenu_css = $tpl->show_menu ? '<link href="' . $tpl->path . '/css/cmenu.css" rel="stylesheet" type="text/css" />' . "\n" : '';
$cmenu_js = $tpl->show_menu ? '<script type="text/javascript" src="' . $tpl->path . '/js/cmenu.js"></script>' . "\n" : '';

$ddp2_width = $tpl->width - 64;

echo <<<EOF
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="{$this->language}" lang="{$this->language}" >
<head>

<jdoc:include type="head" />

<style type="text/css">
.ddp2_content { width: {$ddp2_width}px; }
</style>
<link href="{$tpl->path}/css/layout.css" rel="stylesheet" type="text/css" />
<link href="{$tpl->path}/css/template.css" rel="stylesheet" type="text/css" />
$cmenu_css
<!--[if lt IE 7]>
<link href="{$tpl->path}/css/template_ie6.css" rel="stylesheet" type="text/css" />
<script type="text/javascript">
var blankImg = '{$tpl->path}/images/blank.gif';
</script>
<style type="text/css">
.readon { behavior: url({$tpl->path}/js/iepngfix.htc); }
.pngfix_static { behavior: url({$tpl->path}/js/iepngfix_static.htc); }
</style>
<![endif]-->

$cmenu_js

<script type="text/javascript" src="{$tpl->path}/js/template.js"></script>
<script type="text/javascript" src="{$tpl->path}/js/ddpanel.js"></script>

</head>

<body>
$aa

EOF;


if ($tpl->seocp) {
	echo '	<div style="display:none"><div id="mainbody">' . "\n";
	echo '		<jdoc:include type="component" />' . "\n";
	echo '	</div></div>' . "\n";
}

echo '<div align="center">' . "\n";
echo '<table cellspacing="0" cellpadding="0" width="' . $tpl->width . '" style="text-align:left">' . "\n";
echo '	<tr>' . "\n";
echo '		<td id="r1lb" valign="top" rowspan="2"><img src="' . $tpl->path . '/images/layout/r1l.gif" alt="" /></td>' . "\n";
echo '		<td id="top" valign="top">' . "\n";
echo '			<div id="top_r1_over"></div>' . "\n";
echo '			<div id="top_r1">' . "\n";
$tpl->echo_positions('', 'top', 'toolbar');
echo '			</div>' . "\n";
echo '			<div id="top_r2_over"></div>' . "\n";
echo '			<div id="top_r2">' . "\n";
$tpl->echo_positions('', 'icon', 'inset');
echo '			</div>' . "\n";
echo '			<div id="top_r3_over"></div>' . "\n";
echo '			<div id="top_r3">' . "\n";
echo '				<table cellspacing="0" cellpadding="0" width="100%">' . "\n";
echo '					<tr>' . "\n";
echo '						<td valign="top">' . "\n";

if ($tpl->show_menu) {
echo <<<EOF
							<div id="cmenu">
								<table cellspacing="0" cellpadding="0">
									<tr>

EOF;

	for ($i = 0, $len = count($tpl->menu_head_tags); $i < $len; $i++) {
		$mi = &$tpl->menu_head_tags[$i];
		printf(
'										<td class="cmenu_hd_gap"></td>
										<td class="%s">&nbsp;</td>
										<td class="%s" id="%s">%s</td>
										<td class="%s">&nbsp;</td>
',
			$mi->selection == 0 ? 'cmenu_hd_norm_left' : 'cmenu_hd_sel_left',
			$mi->selection == 0 ? 'cmenu_hd_norm_body' : 'cmenu_hd_sel_body',
			$mi->head_id,
			$mi->full_link,
			$mi->selection == 0 ? 'cmenu_hd_norm_right' : 'cmenu_hd_sel_right'
		);
	}
	echo '										<td class="cmenu_hd_gap"></td>' . "\n";

echo <<<EOF
									</tr>
								</table>

<script type="text/javascript">
// <![CDATA[
document['cmenu_items'] = new Array();
{$tpl->menu_js}
// ]]>
</script>

							</div>

EOF;

}
else {
	$tpl->echo_position('header');
}

echo '						</td>' . "\n";

if ($tpl->modcount('cpanel')) {
	echo '						<td class="gap"></td>' . "\n";
	echo '						<td valign="top" align="right">' . "\n";
	$tpl->echo_position('cpanel');
	echo '						</td>' . "\n";
}
echo '					</tr>' . "\n";
echo '				</table>' . "\n";
echo '			</div>' . "\n";
echo '		</td>' . "\n";
echo '		<td id="r1rb" valign="top" rowspan="2"><img src="' . $tpl->path . '/images/layout/r1r.gif" alt="" /></td>' . "\n";
echo '	</tr>' . "\n";
echo '	<tr>' . "\n";
echo '		<td id="r1body" valign="top">' . "\n";
$tpl->echo_positions('', 'advert1', 'advert2', 'advert3');


// output main body area

$col_span = 0;
if ($tpl->modcount('left'))
	$col_span += 2;
if ($tpl->modcount('right'))
	$col_span += 2;
$col_span = $col_span == 0 ? '' : ' colspan="' . ($col_span + 1) . '"';

echo '<table cellspacing="0" cellpadding="0" width="100%">' . "\n";
echo '	<tr>' . "\n";
echo '		<td id="main_path_l"></td>' . "\n";
echo '		<td id="main_path_c"' . $col_span . '>' . "\n";
echo '			<a href="' . $tpl->basepath . '"><img src="' . $tpl->path . '/images/layout/pathway.gif" alt="" border="0" style="float:left" /></a>' . "\n";
echo '			&nbsp; <span id="pathway_start">' . JText::_('You are here:') . '</span>&nbsp;' . "\n";

echo '			<span id="pathway">' . "\n";
echo '				<jdoc:include type="modules" name="breadcrumb" />' . "\n";
echo '			</span>' . "\n";

echo '		</td>' . "\n";
echo '		<td id="main_path_r"></td>' . "\n";
echo '	</tr>' . "\n";

// output top row of main body
echo '	<tr>' . "\n";

if ($tpl->modcount('left')) {
	echo '		<td id="main_left_tl"><img src="' . $tpl->path . '/images/layout/main_left_tl.gif" alt="" /></td>' . "\n";
	echo '		<td id="main_left_tc"></td>' . "\n";
	echo '		<td id="main_left_tr"><img src="' . $tpl->path . '/images/layout/main_left_tr.gif" alt="" /></td>' . "\n";
}
else {
	echo '		<td id="main_body_tl"><img src="' . $tpl->path . '/images/layout/main_body_tl.gif" alt="" /></td>' . "\n";
}

echo '		<td id="main_body_tc"></td>' . "\n";

if ($tpl->modcount('right')) {
	echo '		<td id="main_right_tl"><img src="' . $tpl->path . '/images/layout/main_right_tl.gif" alt="" /></td>' . "\n";
	echo '		<td id="main_right_tc"></td>' . "\n";
	echo '		<td id="main_right_tr"><img src="' . $tpl->path . '/images/layout/main_right_tr.gif" alt="" /></td>' . "\n";
}
else {
	echo '		<td id="main_body_tr"><img src="' . $tpl->path . '/images/layout/main_body_tr.gif" alt="" /></td>' . "\n";
}

echo '	</tr>' . "\n";

// output middle row of main body
echo '	<tr>' . "\n";

if ($tpl->modcount('left')) {
	echo '		<td id="main_left_ml"></td>' . "\n";
	echo '		<td id="main_left_mc" valign="top">' . "\n";
	$tpl->echo_position('left');
	echo '		</td>' . "\n";
	echo '		<td id="main_left_mr"></td>' . "\n";
}
else {
	echo '		<td id="main_body_ml"></td>' . "\n";
}

echo '		<td id="main_body_mc" valign="top">' . "\n";

// output position newsflash
if ($tpl->modcount('newsflash')) {
	$tpl->echo_position('newsflash');
	echo '			<div class="gap"></div>' . "\n";
}

// output main body
if ($tpl->seocp)
	echo '		<div id="mainbody_area"></div>' . "\n";
else
	echo '		<jdoc:include type="component" />' . "\n";

// output position banner
if ($tpl->modcount('banner')) {
	echo '			<div class="gap"></div>' . "\n";
	$tpl->echo_position('banner');
}

echo '		</td>' . "\n";

if ($tpl->modcount('right')) {
	echo '		<td id="main_right_ml"></td>' . "\n";
	echo '		<td id="main_right_mc" valign="top">' . "\n";
	$tpl->echo_position('right');
	echo '		</td>' . "\n";
	echo '		<td id="main_right_mr"></td>' . "\n";
}
else {
	echo '		<td id="main_body_mr"></td>' . "\n";
}

echo '	</tr>' . "\n";

// output bottom row of main body
echo '	<tr>' . "\n";

if ($tpl->modcount('left')) {
	echo '		<td id="main_left_bl"></td>' . "\n";
	echo '		<td id="main_left_bc"></td>' . "\n";
	echo '		<td id="main_left_br"></td>' . "\n";
}
else {
	echo '		<td id="main_body_bl"></td>' . "\n";
}

echo '		<td id="main_body_bc"></td>' . "\n";

if ($tpl->modcount('right')) {
	echo '		<td id="main_right_bl"></td>' . "\n";
	echo '		<td id="main_right_bc"></td>' . "\n";
	echo '		<td id="main_right_br"></td>' . "\n";
}
else {
	echo '		<td id="main_body_br"></td>' . "\n";
}

echo '	</tr>' . "\n";

echo '</table>' . "\n";


if ($tpl->modcount('user1') || $tpl->modcount('user2') || $tpl->modcount('user3')) {
	echo '			<div class="gap"></div>' . "\n";
	$tpl->echo_positions('', 'user1', 'user2', 'user3');
}


if ($tpl->modcount('user4') || $tpl->modcount('user5') || $tpl->modcount('user6')) {
	echo '			<div class="gap"></div>' . "\n";
	echo '			<table cellspacing="0" cellpadding="0" width="100%">' . "\n";
	echo '				<tr>' . "\n";
	echo '					<td id="blue_tl"></td>' . "\n";
	echo '					<td id="blue_tc"></td>' . "\n";
	echo '					<td id="blue_tr"></td>' . "\n";
	echo '				</tr>' . "\n";
	echo '				<tr>' . "\n";
	echo '					<td id="blue_ml"></td>' . "\n";
	echo '					<td id="blue_mc">' . "\n";
	$tpl->echo_positions('', 'user4', 'user5', 'user6');
	echo '					</td>' . "\n";
	echo '					<td id="blue_mr"></td>' . "\n";
	echo '				</tr>' . "\n";
	echo '				<tr>' . "\n";
	echo '					<td id="blue_bl"></td>' . "\n";
	echo '					<td id="blue_bc"></td>' . "\n";
	echo '					<td id="blue_br"></td>' . "\n";
	echo '				</tr>' . "\n";
	echo '			</table>' . "\n";
}

echo '		</td>' . "\n";
echo '	</tr>' . "\n";
echo '	<tr>' . "\n";
echo '		<td id="r2l"></td>' . "\n";
echo '		<td id="r2c"></td>' . "\n";
echo '		<td id="r2r"></td>' . "\n";
echo '	</tr>' . "\n";
echo '	<tr>' . "\n";
echo '		<td id="r2lb"></td>' . "\n";
echo '		<td id="r2body" valign="top">' . "\n";
$tpl->echo_positions('', 'user7', 'user8', 'user9');
echo '		</td>' . "\n";
echo '		<td id="r2rb"></td>' . "\n";
echo '	</tr>' . "\n";
echo '	<tr>' . "\n";
echo '		<td id="r3l"></td>' . "\n";
echo '		<td id="r3c"></td>' . "\n";
echo '		<td id="r3r"></td>' . "\n";
echo '	</tr>' . "\n";
echo '	<tr>' . "\n";
echo '		<td id="r3lb"></td>' . "\n";
echo '		<td id="r3body" valign="top">' . "\n";
$tpl->echo_positions('', 'bottom', 'footer');
echo '		</td>' . "\n";
echo '		<td id="r3rb"></td>' . "\n";
echo '	</tr>' . "\n";
echo '	<tr>' . "\n";
echo '		<td id="r4l"></td>' . "\n";
echo '		<td id="r4c"></td>' . "\n";
echo '		<td id="r4r"></td>' . "\n";
echo '	</tr>' . "\n";
echo '	<tr>' . "\n";
echo '		<td></td>' . "\n";
echo '		<td id="r5c" align="center" valign="top">' . "\n";

echo '			<a href="javascript:void(0)" onfocus="blur()" onclick="goto_top()" style="float:right"><img src="' . $tpl->path . '/images/layout/goto_top.gif" alt="Top" border="0" /></a>' . "\n";

if ($tpl->lshow)
	echo '			<a href="http://joomla-temp.ru" target="_blank"><img src="' . $tpl->path . '/images/layout/btlogo.gif" alt="" border="0" /></a>' . "\n";

echo '		</td>' . "\n";
echo '		<td></td>' . "\n";
echo '	</tr>' . "\n";
echo '</table>' . "\n";

echo '</div>' . "\n";


if ($tpl->seocp) {
	echo <<<EOF

<script type="text/javascript">
// <![CDATA[

// position mainbody
var obj = document.getElementById('mainbody');
obj.parentNode.removeChild(obj);
document.getElementById('mainbody_area').appendChild(obj);

// ]]>
</script>

EOF;
}

foreach (array('ddp1', 'ddp2', 'aux1', 'aux2', 'aux3', 'aux4', 'aux5') as $position)
	$tpl->echo_hidden_position($position);

$tpl->echo_position('debug');

echo <<<EOF

</body>
</html>

EOF;

?>